Page MenuHomePhabricator

remove echowikis to simplify configuration
Closed, DeclinedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/96536/ , Echo is deployed on all 877 WMF wikis. So echowikis.dblist is unneeded (it's the same as all.dblist except for ordering). (it is no longer on all wikis).

In that commit Benny comments:
@Todo - echowikis.dblist is used by a cron to send daily/weekly digest email, with Echo enabled on all wikis, this file becomes redundant, we can set the cron to execute with foreachwiki blah.php instead of foreachwikiindblist echowikis.dblist.
This is class misc::maintenance::echo_mail_batch in puppet/manifests/misc/maintenance.pp

So first that should be changed in Puppet, and then echowikis.dblist and references to it can be removed from mediawiki-config configuration.


Version: unspecified
Severity: minor

Details

Reference
bz57375

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:32 AM
bzimport set Reference to bz57375.
bzimport added a subscriber: Unknown Object (MLST).

@Todo - echowikis.dblist is used by a cron to send daily/weekly digest email, with Echo enabled on all wikis, this file becomes redundant, we can set the cron to execute with foreachwiki blah.php instead of foreachwikiindblist echowikis.dblist.

It's not enabled on literally every wiki, this could cause errors - see https://phabricator.wikimedia.org/T97760#1274418

Change 214913 had a related patch set uploaded (by Alex Monk):
Make processEchoEmailBatch check that Echo is actually enabled before doing anything

https://gerrit.wikimedia.org/r/214913

Krenair claimed this task.May 31 2015, 12:26 PM
Krenair added a subscriber: Withoutaname.

Change 214913 merged by jenkins-bot:
Make processEchoEmailBatch check that Echo is actually enabled before doing anything

https://gerrit.wikimedia.org/r/214913

Krenair set Security to None.

I like having a dblist so foreachwikiindblist can be used (it's somewhat weird to make code in Echo check that Echo is enabled). However, another solution (to still get the maintainability benefits) is T101213: foreachwikiindblist to run scripts on all wikis matching a dblist expression.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 3 2015, 3:05 AM
Legoktm added a subscriber: Legoktm.Jun 3 2015, 3:47 AM

You can use foreachwiki and ignore the exceptions on 2? wikis. That's what we do for CentralAuth.

I don't like seeing exceptions when running stuff. People shouldn't have to remember which are 'expected' exceptions.

Change 139581 had a related patch set uploaded (by Alex Monk):
Remove echowikis.dblist

https://gerrit.wikimedia.org/r/139581

Change 139326 had a related patch set uploaded (by Alex Monk):
Enable Echo on Wikimedia wikis by default

https://gerrit.wikimedia.org/r/139326

Legoktm moved this task from Backlog to External on the Notifications board.Jul 6 2015, 7:23 AM

Change 139581 merged by Dzahn:
Remove dependency on echowikis.dblist

https://gerrit.wikimedia.org/r/139581

Change 139326 merged by jenkins-bot:
Enable Echo on Wikimedia wikis by default

https://gerrit.wikimedia.org/r/139326

Krenair closed this task as Resolved.Jul 15 2015, 3:39 PM